# Step: Open Conversation

#### How It Works <a href="#how_it_works" id="how_it_works"></a>

When the Workflow is triggered, a conversation with the Contact will open. The Message Module will display “Conversation opened by {Workflow name}”. If the conversation is already open when this Step is triggered and executed, the Contact will proceed to the next Step.

#### Best Practices <a href="#best_practices" id="best_practices"></a>

Suppose the Contact’s conversation is closed and you want to open the conversation by sending a message. Use the open conversation step to open a conversation before you send a message to the Contact in the workflow.

Sending a message from the workflow will not automatically open the conversation. Whereas sending a message from the message module will automatically open the conversation.

#### Suggested Use Cases <a href="#suggested_use_cases" id="suggested_use_cases"></a>

* **Open the conversation before sending a message**: For example, if you use an Incoming Webhook as a trigger and a customer abandons their cart on the e-commerce platform, it will trigger the workflow. You can then open a conversation and send a follow-up message to the customer.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.is-messenger.com/ismessenger/modules/workflow/workflow-step/step-open-conversation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
